#ifndef CONFIG_H
#define CONFIG_H

#include <glib.h>
#include <stdio.h>

#ifdef  __cplusplus
extern "C" {
#endif

#define _STR(s)	#s
#define DEF2STR(s)	_STR(s)

#ifdef BIO_CONFIG_DIR
	#define CONFIG_DIR DEF2STR(BIO_CONFIG_DIR)
#else
	#define CONFIG_DIR "/etc/biometric-auth"
#endif

#define CONFIG_FILE	CONFIG_DIR "/biometric-auth.conf"

/**
 * @brief	初始化配置（内部函数）
 * 加载配置文件，并初始化全局配置结构体
 * @return	int	返回初始化结果
 * @retval	0	成功
 *			其他	失败
 * @par	修改日志
 *			JianglinXuan于2017-05-12创建
 */
int bio_conf_init();
void bio_conf_free();

/**
 * @brief	获取配置文件
 * 获取配置文件
 * @return	GKeyFile *	返回配置文件结构体
 * @par	修改日志
 *			JianglinXuan于2017-05-12创建
 */
GKeyFile * get_bio_conf();

/* 全局配置文件 */
extern GKeyFile * bioconf;

#ifdef  __cplusplus
}
#endif

#endif // CONFIG_H
